gnutls_x509_privkey_import_rsa_raw(3)

NAME
gnutls_x509_privkey_import_rsa_raw - This function will import a raw RSA key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_import_rsa_raw(gnutls_x509_privkey_t key, const gnutls_datum_t * m, const gnutls_datum_t * e, const gnutls_datum_t * d, const gnutls_datum_t * p, const gnutls_datum_t * q, const gnutls_datum_t * u);

ARGUMENTS

gnutls_x509_privkey_t key
    The structure to store the parsed key

const gnutls_datum_t * m
    holds the modulus

const gnutls_datum_t * e
    holds the public exponent

const gnutls_datum_t * d
    holds the private exponent

const gnutls_datum_t * p
    holds the first prime (p)

const gnutls_datum_t * q
    holds the second prime (q)

const gnutls_datum_t * u
    holds the coefficient

DESCRIPTION
This function will convert the given RSA raw parameters to the native gnutls_x509_privkey_t format. The output will be stored in key.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.